> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payfonte.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Provider Properties

> This is the endpoint to Fetch properties for provider that needs them Direct charge API can be called. E.g Pawapay



## OpenAPI

````yaml /api-reference/openapi-3.1.yml get /payments/v1/payments/direct-charge/{provider}/properties
openapi: 3.1.0
info:
  title: Payfonte - OpenAPI 3.1
  description: >-
    This is the minimal API for payfonte collection and disbursements API. To
    view a more elaborate documentation see here.


    Some useful links:

    - [Home](https://payfonte.com)

    - [Payfonte Documentation](https://docs.payfonte.com)
  termsOfService: https://www.payfonte.com/terms
  contact:
    email: tech@payfonte.com
  version: 1.0.0
servers:
  - url: https://sandbox-api.payfonte.com
    description: Sandbox API Base URL
  - url: https://api.payfonte.com
    description: Production API Base URL
security:
  - clientId: []
    clientSecret: []
tags:
  - name: Collections
    description: Everything about your payment collection with payfonte
    externalDocs:
      description: Find out more
      url: https://docs.payfonte.com/#/collections/inline
  - name: Disbursements
    description: >
      Find full list of supported Disbursement providers here [Supported
      Providers](https://docs.payfonte.com/#/Disbursements/supported-Disbursements)

      There are 3 main process to carry out a Disbursement on Payfonte

      1. Validate A transfer Recipient

      2. Initiate a Disbursement Request

      3. Verify a Disbursement Request
  - name: Wallets
    description: >-
      A Little bit about our [wallets here]
      (https://docs.payfonte.com/#/introductions/wallets)
paths:
  /payments/v1/payments/direct-charge/{provider}/properties:
    get:
      tags:
        - Collections
      summary: Fetch Provider Properties
      description: >-
        This is the endpoint to Fetch properties for provider that needs them
        Direct charge API can be called. E.g Pawapay
      operationId: fetchDirectChargeProviderProperties
      parameters:
        - in: path
          name: provider
          schema:
            type: string
          required: true
          description: >-
            This is the provider slug. Find full list of providers here
            [Supported
            Providers](https://docs.payfonte.com/#/collections/direct-charge/supported-providers)
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    oneOf:
                      - $ref: >-
                          #/components/schemas/DirectChargeProviderPawapayPropertiesResponse
components:
  schemas:
    DirectChargeProviderPawapayPropertiesResponse:
      properties:
        networks:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
                description: Name of the Network
                example: Airtel
                examples:
                  - Airtel
              value:
                type: string
                description: Value to be sent back when validating a recipient
                example: airtel
                examples:
                  - airtel
  securitySchemes:
    clientId:
      type: apiKey
      name: client-id
      in: header
    clientSecret:
      type: apiKey
      name: client-secret
      in: header

````